Bug 75488 - Courier is not proportional
Courier is not proportional
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: urw-fonts (Show other bugs)
8.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-08 20:04 EDT by Ian Pilcher
Modified: 2007-04-18 12:47 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-21 14:04:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch fonts.scale (3.08 KB, patch)
2002-10-08 20:30 EDT, Ian Pilcher
no flags Details | Diff

  None (edit)
Description Ian Pilcher 2002-10-08 20:04:25 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2a) Gecko/20021008

Description of problem:
fonts.scale contains the following:

n022003l.pfb -URW-Nimbus Mono L-medium-r-normal--0-0-0-0-p-0-iso8859-1
n022003l.pfb -URW-Nimbus Mono L-medium-r-normal--0-0-0-0-p-0-iso8859-2
n022004l.pfb -URW-Nimbus Mono L-bold-r-normal--0-0-0-0-p-0-iso8859-1
n022004l.pfb -URW-Nimbus Mono L-bold-r-normal--0-0-0-0-p-0-iso8859-2
n022023l.pfb -URW-Nimbus Mono L-medium-o-normal--0-0-0-0-p-0-iso8859-1
n022023l.pfb -URW-Nimbus Mono L-medium-o-normal--0-0-0-0-p-0-iso8859-2
n022024l.pfb -URW-Nimbus Mono L-bold-o-normal--0-0-0-0-p-0-iso8859-1
n022024l.pfb -URW-Nimbus Mono L-bold-o-normal--0-0-0-0-p-0-iso8859-2
...
n022003l.pfb -URW-Courier-medium-r-normal--0-0-0-0-p-0-iso8859-1
n022003l.pfb -URW-Courier-medium-r-normal--0-0-0-0-p-0-iso8859-2
n022004l.pfb -URW-Courier-bold-r-normal--0-0-0-0-p-0-iso8859-1
n022004l.pfb -URW-Courier-bold-r-normal--0-0-0-0-p-0-iso8859-2
n022023l.pfb -URW-Courier-medium-o-normal--0-0-0-0-p-0-iso8859-1
n022023l.pfb -URW-Courier-medium-o-normal--0-0-0-0-p-0-iso8859-2
n022024l.pfb -URW-Courier-bold-o-normal--0-0-0-0-p-0-iso8859-1
n022024l.pfb -URW-Courier-bold-o-normal--0-0-0-0-p-0-iso8859-2

Each 'p' should be a 'm'; it is a monospaced font.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
n/a

Additional info:

The fonts.alias in the source tarball has monospaced aliases for URW-Courier,
but this file isn't included in the RPM.  IMO, creating aliases is not the way
to go; the fonts *aren't* proportional, and they shouldn't have XLFDs that say
they are.
Comment 1 Ian Pilcher 2002-10-08 20:30:53 EDT
Created attachment 79544 [details]
patch fonts.scale

Note You need to log in before you can comment on or make changes to this bug.